Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  package opt
  Definition Classes
    jvm
-  class CallGraph [BT <: BTypes] extends AnyRef
  Definition Classes
    opt
- ArgInfo
- Callee
- Callsite
- ClonedCallsite
- ClosureInstantiation
- ForwardedParam
- FunctionLiteral
- LambdaMetaFactoryCall

c

scala.tools.nsc.backend.jvm.opt.CallGraph

# Callee 

###

#### final case class Callee(callee: MethodNode, calleeDeclarationClass: BT.ClassBType, isStaticallyResolved: Boolean, sourceFilePath: Option[String], annotatedInline: Boolean, annotatedNoInline: Boolean, samParamTypes: IntMap[BT.ClassBType], calleeInfoWarning: Option[CalleeInfoWarning]) extends Product with Serializable

A callee in the call graph.

callee

  The callee, as it appears in the invocation instruction. For virtual calls, an override of the callee might be invoked. Also, the callee can be abstract.

calleeDeclarationClass

  The class in which the callee is declared

isStaticallyResolved

  True if the callee cannot be overridden

annotatedInline

  True if the callee is annotated @inline

annotatedNoInline

  True if the callee is annotated @noinline

samParamTypes

  A map from parameter positions to SAM parameter types

calleeInfoWarning

  An inliner warning if some information was not available while gathering the information about this callee.

Source
  CallGraph.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Callee
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Callee(callee: MethodNode, calleeDeclarationClass: BT.ClassBType, isStaticallyResolved: Boolean, sourceFilePath: Option[String], annotatedInline: Boolean, annotatedNoInline: Boolean, samParamTypes: IntMap[BT.ClassBType], calleeInfoWarning: Option[CalleeInfoWarning])

   callee

     The callee, as it appears in the invocation instruction. For virtual calls, an override of the callee might be invoked. Also, the callee can be abstract.

   calleeDeclarationClass

     The class in which the callee is declared

   isStaticallyResolved

     True if the callee cannot be overridden

   annotatedInline

     True if the callee is annotated @inline

   annotatedNoInline

     True if the callee is annotated @noinline

   samParamTypes

     A map from parameter positions to SAM parameter types

   calleeInfoWarning

     An inliner warning if some information was not available while gathering the information about this callee.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Callee to any2stringadd[Callee] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Callee, B)
   Implicit
     This member is added by an implicit conversion from Callee to ArrowAssoc[Callee] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val annotatedInline: Boolean
7.  val annotatedNoInline: Boolean
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  val callee: MethodNode
10.  val calleeDeclarationClass: BT.ClassBType
11.  val calleeInfoWarning: Option[CalleeInfoWarning]
12.  def canInlineFromSource: Boolean
13.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
14.  def ensuring(cond: (Callee) ⇒ Boolean, msg: ⇒ Any): Callee
    Implicit
      This member is added by an implicit conversion from Callee to Ensuring[Callee] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: (Callee) ⇒ Boolean): Callee
    Implicit
      This member is added by an implicit conversion from Callee to Ensuring[Callee] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean, msg: ⇒ Any): Callee
    Implicit
      This member is added by an implicit conversion from Callee to Ensuring[Callee] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean): Callee
    Implicit
      This member is added by an implicit conversion from Callee to Ensuring[Callee] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Callee to StringFormat[Callee] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
22.  def isAbstract: Boolean
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  def isSpecialMethod: Boolean
25.  val isStaticallyResolved: Boolean
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
29.  def safeToInline: Boolean
30.  val samParamTypes: IntMap[BT.ClassBType]
31.  val sourceFilePath: Option[String]
32.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      Callee → AnyRef → Any
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  def →[B](y: B): (Callee, B)
    Implicit
      This member is added by an implicit conversion from Callee to ArrowAssoc[Callee] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Callee to any2stringadd[Callee]

### Inherited by implicit conversion StringFormat from Callee to StringFormat[Callee]

### Inherited by implicit conversion Ensuring from Callee to Ensuring[Callee]

### Inherited by implicit conversion ArrowAssoc from Callee to ArrowAssoc[Callee]

### Ungrouped